"You do not have the hardware requirement to run unity" is a lie

Bug #704883 reported by Alan Pope 🍺🐧🐱 🦄 on 2011-01-19
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
Medium
Jay Taoko
Unity
Fix Released
Medium
Unassigned
gnome-session (Ubuntu)
Medium
Didier Roche
Natty
Medium
Didier Roche
nux (Ubuntu)
Medium
Unassigned
Natty
Medium
Unassigned
unity (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Binary package hint: unity

Upgraded from 10.10 to Natty. Upon login it claims I do not have the "hardware requirement" to run Unity. This is untrue. I then click "Change user session" and it starts Unity anyway, although with a lovely retro lower panel. See screenshot.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.2.12-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.37-12.26-generic 2.6.37
Uname: Linux 2.6.37-12-generic x86_64
NonfreeKernelModules: nvidia
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 260.19.29 Wed Dec 8 12:08:56 PST 2010
 GCC version: gcc version 4.5.2 (Ubuntu/Linaro 4.5.2-1ubuntu6)
Architecture: amd64
Date: Wed Jan 19 13:00:29 2011
DistUpgraded: Yes, recently upgraded Log time: 2011-01-19 12:33:17.207056
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 nvidia-current, 260.19.29, 2.6.37-12-generic, x86_64: installed
 nvidia-current, 260.19.29, 2.6.35-24-generic, x86_64: installed
 vboxhost, 3.2.12, 2.6.37-12-generic, x86_64: installed
 vboxhost, 3.2.12, 2.6.35-24-generic, x86_64: installed
GraphicsCard: Subsystem: LeadTek Research Inc. Device [107d:2a62]
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
InstallationMedia_: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MachineType: System manufacturer System Product Name
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 LC_MESSAGES=en_GB.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.37-12-generic root=UUID=fb22b4e1-1576-4bf8-8272-15300bc7de38 ro vt.handoff=7 quiet splash
ProcVersionSignature_: Ubuntu 2.6.37-12.26-generic 2.6.37
SourcePackage: unity
UnitySupportTest:

dmi.bios.date: 04/24/2009
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: ASUS P5N32-E SLI ACPI BIOS Revision 1801
dmi.board.name: P5N32-E SLI
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: 1.XX
dmi.chassis.asset.tag: 123456789000
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvrASUSP5N32-ESLIACPIBIOSRevision1801:bd04/24/2009:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5N32-ESLI:rvr1.XX:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer
version.libdrm2: libdrm2 2.4.22-2ubuntu1
version.libgl1-mesa-glx: libgl1-mesa-glx 7.9+repack-1ubuntu6
version.xserver-xorg: xserver-xorg 1:7.5+6ubuntu7
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.13.2-1ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.13.901-2ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20100805+b96170a-0ubuntu1

Didier Roche (didrocks) wrote :

Known issue: /usr/lib/nux/unity_support_test is sometime timeouting (1s isn't enough).
I would be interested in knowing how much time it takes for you, can you try going to the ubuntu classic session (after a reboot: cold cache) and run: $ time /usr/lib/nux/unity_support_test

thanks!

Changed in unity:
status: New → Triaged
assignee: nobody → Didier Roche (didrocks)
importance: Undecided → Medium
affects: unity (Ubuntu) → gnome-session (Ubuntu)
Changed in gnome-session (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Didier Roche (didrocks)

It only happened the first time after upgrade and reboot. It no longer happens.

alan@wopr:~$ time /usr/lib/nux/unity_support_test

real 0m0.219s
user 0m0.150s
sys 0m0.040s

Didier Roche (didrocks) wrote :

are you giving those value with a cold cache (so after a reboot), in the Ubuntu classic (no effect) session?
It's so fast that's it's hard to believe :)

Heh. You're so polite. Yeah, I'm an idiot.
 :)
real 0m2.202s
user 0m0.110s
sys 0m0.080s

Paul Sladen (sladen) wrote :

Hardly surprising:

  $ ldd /usr/lib/nux/unity_support_test | awk '{print$3}' | grep ^/ | du -sch
  15M total

yup, that's 15MB of libraries for a 300-line program that

Paul Sladen (sladen) wrote :

Hardly surprising:

  $ ldd /usr/lib/nux/unity_support_test | awk '{print$3}' | grep ^/ | du -sch
  15M total

yup, that's 15MB of libraries for a 300-line program that includes tests such as:

  popen ("lspci -nn | grep VGA", "r")

Didier Roche (didrocks) wrote :

Ok, I'm increasing the timeout for alpha2 as a workaround. Jay needs to work on the other point still

Changed in nux:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Jay Taoko (jaytaoko)
Changed in nux (Ubuntu Natty):
status: New → Triaged
importance: Undecided → Medium
Changed in unity:
assignee: Didier Roche (didrocks) → nobody
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-session - 2.32.1-0ubuntu13

---------------
gnome-session (2.32.1-0ubuntu13) natty; urgency=low

  * debian/patches/04_increase_helper_timeout.patch:
    - increase the timeout to the insane value of 5s to avoid false positive.
      The unity detection plugin needs a real fix to lower its deps
      (LP: #704883)
  * debian/patches/06_nuke_session_saving.patch:
    - as we only have one tab now, don't show it.
 -- Didier Roche <email address hidden> Wed, 26 Jan 2011 11:50:50 +0100

Changed in gnome-session (Ubuntu Natty):
status: Triaged → Fix Released
Neil J. Patel (njpatel) on 2011-03-17
Changed in unity:
status: Triaged → Fix Released
Changed in nux:
status: Triaged → Fix Released
Changed in nux (Ubuntu Natty):
status: Triaged → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
Rolf Leggewie (r0lf) wrote :

natty has seen the end of its life and is no longer receiving any updates. Marking the natty task for this ticket as "Won't Fix".

Changed in unity (Ubuntu Natty):
status: New → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers